Skip to main content
GET
/
cardaccounts
/
transactions
Get Card Account Transactions
curl --request GET \
  --url https://access.utgl.io/v1/cardaccounts/transactions \
  --header 'Authorization: Basic <encoded-value>'
{
  "prevPageToken": "<string>",
  "nextPageToken": "<string>",
  "transactions": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "xid": "<string>",
      "xmetadata": "<unknown>",
      "refId": "CT34567890",
      "cardAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "cardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "cardLast4": "<string>",
      "cardEmbossedName": "<string>",
      "createdAt": "2022-11-10T07:47:09.415Z",
      "status": "pending",
      "postedAt": "2022-11-10T07:47:09.415Z",
      "intent": "charge",
      "authorization": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "currency": "USD",
        "amount": 128.29,
        "createdAt": "2022-11-10T07:47:09.415Z",
        "type": "Payment authorization type",
        "responseCode": "<string>",
        "responseMessage": "<string>",
        "cardPresent": true
      },
      "merchant": {
        "name": "UBER * PENDING Amsterdam NLD",
        "mcc": "4121",
        "category": "Taxicabs and limousines",
        "country": "HK"
      },
      "currency": "HKD",
      "amount": 1000,
      "entryType": "CREDIT",
      "description": "UBER * PENDING Amsterdam NLD",
      "grossAmount": 1000
    }
  ]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

cardAccountId
string
required

Card Account ID

cardId
string

Card ID

transactionId
string

Transaction ID

status
enum<string>

status

Available options:
declined,
pending,
posted,
void
xid
string

Xid

intent

Filter transactions by intent type. Accepts a single value or an array of values.

  • charge - Card purchase or payment authorization
  • refund - Reversal or refund of a previous charge
  • topup - Funds loaded into the card account
  • withdraw - Funds withdrawn from the card account (e.g. ATM or cash advance)
  • repay - Repayment towards the card account outstanding balance
  • cashback - Cashback reward credited to the account
  • interest - Interest accrued on the outstanding balance
  • transfer - Balance transfer between card accounts
  • fee - Service fees (e.g. annual fee, late payment fee)
  • other - Transaction types not classified under the above categories
Available options:
charge,
refund,
topup,
withdraw,
repay,
cashback,
interest,
transfer,
fee,
other
pageSize
number

Limits the number returned items Some collections have a upper bound that will disregard this value. In case the specified value is higher than the allowed limit, the collection limit will be used. If no page size is provided, the collection will determine the page size itself.

Required range: x >= 1
pageToken
string
Example:

"aWVHZWV5OVgK"

dateRangeFrom
string<date-time>
Example:

"2022-01-01T00:00:00.000Z"

dateRangeTo
string<date-time>
Example:

"2022-01-31T23:59:59.999Z"

Response

200 - application/json

OK

prevPageToken
string

Opaque page token to retrieve next or previous set of results.

nextPageToken
string

Opaque page token to retrieve next or previous set of results.

transactions
Card Account Transaction · object[]

Card Account Transactions